import Vue from 'vue'
import App from './App'
import {VueJsonp} from 'vue-jsonp'
import share from 'common/share.js'
import * as filters from './Utils/js/date.js'

Object.keys(filters).forEach(key => {
	Vue.filter(key, filters[key])
})

import vueCupUi from "components/vue-cup-ui/lib/vue-cup-ui.common.js"
Vue.use(vueCupUi)

Vue.config.productionTip = false
Vue.use(VueJsonp)
App.mpType = 'app'
Vue.mixin(share)
const app = new Vue({
    ...App
})
app.$mount()
